<?php
	//引入语言包
	$f_langpackage=new friendlp;
	
	  //引入公共模块
	require("foundation/module_users.php");
	require("foundation/module_mypals.php");
	require("foundation/fcontent_format.php");
	require("foundation/fpages_bar.php");
	
	//变量取得
	$url_uid= short_check(get_argg('user_id'));
	$ses_uid=get_sess_userid();
	
	//当前页面参数
	$page_num=trim(get_argg('page'));	

	//引入模块公共权限过程文件
	$is_login_mode='';
	$is_self_mode='partLimit';
	require("foundation/auser_validate.php");

	//数据表定义区
	$t_mypals = $tablePreStr."pals_mine";
	$t_users=$tablePreStr."users";
	$dbo=new dbex;

	//读写分离定义方法
	dbtarget('r',$dbServs);

	$select_items=array(
		"pals_id",
		"pals_ico",
		"pals_name",
		"pals_sort_name",
	);
	$dbo->setPages($set_page_data_num,$page_num);//设置分页
	$mypals_rs = getPals_mine($dbo,$select_items,$t_mypals,$userid,'');
	$page_total=$dbo->totalPage;//分页总数
	if($is_self=='Y'){
		$friend_title=$f_langpackage->f_friend;
	}else{
		$holder_name=get_hodler_name($dbo,$t_users,$url_uid);
		$friend_title=str_replace("{holder}",$holder_name,$f_langpackage->f_visitor);
	}
	
	$text_no_friend="content_none";
	$text_friend="";
	$isNull=0;
	if(empty($mypals_rs)){
		$isNull=1;
		$text_no_friend="";
		$text_friend="content_none";
	}
?>